Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007299OCamlplatform support (windows, cross-compilation, etc)public2016-07-21 14:222017-09-24 17:33
Reporterdoligez 
Assigned Todim 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.04.0 +dev / +beta1 / +beta2 
Target Version4.04.0 +dev / +beta1 / +beta2Fixed in Version4.04.0 +dev / +beta1 / +beta2 
Summary0007299: heap access from blocking section in unix_readlink
DescriptionIn otherlibs/win32unix/readlink.c, function unix_readlink, the value of `opath` is accessed from the blocking section. It should first be copied outside the heap.

See https://github.com/ocaml/ocaml/pull/462#issuecomment-231713001 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016148)
dra (developer)
2016-07-29 17:30

https://github.com/ocaml/ocaml/pull/726 [^]
(0016207)
dim (developer)
2016-08-18 13:05

Fixed by commit 55222ad05aab68da2c08b81dfa8554630dc07256

- Issue History
Date Modified Username Field Change
2016-07-21 14:22 doligez New Issue
2016-07-21 14:26 doligez Summary Missing string copy in unix_readlink => heap access from blocking section in unix_readlink
2016-07-29 17:30 dra Note Added: 0016148
2016-08-18 13:05 dim Note Added: 0016207
2016-08-18 13:05 dim Status new => resolved
2016-08-18 13:05 dim Fixed in Version => 4.04.0 +dev / +beta1 / +beta2
2016-08-18 13:05 dim Resolution open => fixed
2016-08-18 13:05 dim Assigned To => dim
2017-02-23 16:46 doligez Category OCaml windows => platform support (windows, etc)
2017-02-23 17:16 doligez Category platform support (windows, etc) => platform support (windows, cross-compilation, etc)
2017-09-24 17:33 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker